<script setup lang="ts">
import SunIcon from '@/components/icons/SunIcon.vue';
import type { SideBarLink } from '@/constants/links';
import { cn } from '@/lib/utils';
import { useUiSidebarStore } from '@/stores/ui/sidebar';

const props = defineProps<SideBarLink>();
const store = useUiSidebarStore();
</script>

<template>
  <RouterLink
    :to="props.to"
    activeClass="active"
    :class="
      cn(
        'group cursor-pointer flex items-center justify-center px-[25px] border border-transparent text-foreground bg-[#182A43] transition-all w-full max-w-[268px] relative h-[64px] overflow-hidden font-bold text-[36px] hover:border-foreground [&.active]:border-foreground',
        !store.isOpen && 'max-w-fit h-fit py-[25px] bg-transparent rounded-[16px]',
      )
    "
  >
    <component v-if="store.isOpen" v-motion-fade :is="props.isWhenOpen" />
    <component v-else v-motion-fade :is="props.isWhenClosed" />
    <SunIcon
      v-if="store.isOpen"
      class="absolute right-0 -top-[50%] transition-all translate-x-[100%] w-[128px] h-[128px] group-[.active]:translate-x-[50%]"
    />
  </RouterLink>
</template>
